Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86271 - rpm does not compile under Solaris8
Summary: rpm does not compile under Solaris8
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: other
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 17:13 UTC by Andreas Florath
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-19 03:35:45 UTC


Attachments (Terms of Use)

Description Andreas Florath 2003-03-18 17:13:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.3b) Gecko/20030210

Description of problem:
When compiling rpm under solaris 8 it stops with an error.
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../popt -I../zlib -g -O2
-D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wno-char-subscripts -c fts.c -MT fts.lo -MD -MP -MF
.deps/fts.TPlo  -fPIC -DPIC -o .libs/fts.lo
fts.c: In function `Fts_open':
fts.c:135: warning: implicit declaration of function `__errno_location'
fts.c:135: invalid type argument of `unary *'
fts.c:176: invalid type argument of `unary *'
fts.c:185: invalid type argument of `unary *'
fts.c: In function `Fts_close':
fts.c:325: invalid type argument of `unary *'
fts.c: In function `Fts_read':
fts.c:499: invalid type argument of `unary *'
fts.c:522: invalid type argument of `unary *'
fts.c: In function `Fts_set':
fts.c:549: invalid type argument of `unary *'
fts.c: In function `Fts_children':
fts.c:565: invalid type argument of `unary *'
fts.c:578: invalid type argument of `unary *'
fts.c: In function `fts_build':
fts.c:716: warning: implicit declaration of function `dirfd'
fts.c:762: warning: implicit declaration of function `_D_EXACT_NAMLEN'
fts.c:779: invalid type argument of `unary *'
fts.c:803: invalid type argument of `unary *'
fts.c: In function `fts_stat':
fts.c:941: invalid type argument of `unary *'
fts.c: In function `fts_palloc':
fts.c:1106: invalid type argument of `unary *'
fts.c: In function `fts_safe_changedir':
fts.c:1175: warning: implicit declaration of function `__fxstat64'
fts.c:1175: `_STAT_VER' undeclared (first use in this function)
fts.c:1175: (Each undeclared identifier is reported only once
fts.c:1175: for each function it appears in.)
fts.c:1181: invalid type argument of `unary *'
fts.c:1192: invalid type argument of `unary *'
make[2]: *** [fts.lo] Error 1
make[2]: Leaving directory `/opt/gcc322-32/tmp/rpm-4.1/rpmio'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/opt/gcc322-32/tmp/rpm-4.1'
make: *** [all] Error 2


Version-Release number of selected component (if applicable):
rpm-4.1.tar.gz

How reproducible:
Always

Steps to Reproduce:
1.gunzip -c /opt/Sources/rpm-4.1.tar.gz | tar xf -
2.cd rpm-4.1/
3.CC=gcc CXX=g++ ./configure --with-gnu-ld
4.make

Actual Results:  gcc prints:

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../popt -I../zlib -g -O2
-D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wno-char-subscripts -c fts.c -MT fts.lo -MD -MP -MF
.deps/fts.TPlo  -fPIC -DPIC -o .libs/fts.lo
fts.c: In function `Fts_open':
fts.c:135: warning: implicit declaration of function `__errno_location'
fts.c:135: invalid type argument of `unary *'
fts.c:176: invalid type argument of `unary *'
fts.c:185: invalid type argument of `unary *'
fts.c: In function `Fts_close':
fts.c:325: invalid type argument of `unary *'
fts.c: In function `Fts_read':
fts.c:499: invalid type argument of `unary *'
fts.c:522: invalid type argument of `unary *'
fts.c: In function `Fts_set':
fts.c:549: invalid type argument of `unary *'
fts.c: In function `Fts_children':
fts.c:565: invalid type argument of `unary *'
fts.c:578: invalid type argument of `unary *'
fts.c: In function `fts_build':
fts.c:716: warning: implicit declaration of function `dirfd'
fts.c:762: warning: implicit declaration of function `_D_EXACT_NAMLEN'
fts.c:779: invalid type argument of `unary *'
fts.c:803: invalid type argument of `unary *'
fts.c: In function `fts_stat':
fts.c:941: invalid type argument of `unary *'
fts.c: In function `fts_palloc':
fts.c:1106: invalid type argument of `unary *'
fts.c: In function `fts_safe_changedir':
fts.c:1175: warning: implicit declaration of function `__fxstat64'
fts.c:1175: `_STAT_VER' undeclared (first use in this function)
fts.c:1175: (Each undeclared identifier is reported only once
fts.c:1175: for each function it appears in.)
fts.c:1181: invalid type argument of `unary *'
fts.c:1192: invalid type argument of `unary *'
make[2]: *** [fts.lo] Error 1
make[2]: Leaving directory `/opt/gcc322-32/tmp/rpm-4.1/rpmio'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/opt/gcc322-32/tmp/rpm-4.1'
make: *** [all] Error 2


Expected Results:  No error - and some times later a binary of rpm.

Additional info:

Comment 1 Jeff Johnson 2003-03-19 03:35:45 UTC
Latest rpm-4.2/rpm-4.1.1 is reported to compile
on solaris. Available from
    ftp://ftp.rpm.org/pub/rpm/test-4.1.1
    ftp://ftp.rpm.org/pub/rpm/test-4.2
or from CVS on branches -r rpm-4_2 or -r rpm-4_1


Note You need to log in before you can comment on or make changes to this bug.